@font-face {
    font-family: Verdana;
    src: url("../fonts/verdana.ttf");
}

@font-face {
    font-family: "Verdana-Bold";
    src: url("../fonts/Verdana-Bold.ttf");
}

@font-face {
    font-family: "Courier-Regular";
    src: url("../fonts/Courier-Regular.ttf");
}

:root {
    --backdrop-filter: brightness(100%);
    --color-background: #ffffff;
    --color-background-hover: lightblue;
    --background-header: rgba(0, 0, 0, 0.41);
    --color-text-primary: #000000;
    --color-text-secondary: #434343;
    --color-text-contrast: #ffffff;
    --color-text-input: rgba(190, 190, 190, 0.5);
    --color-lines: #777777;
    --color-accent: #3cb878;
    --color-button-text: #ffffff;
    --color-button-google: #df4a32;
    --color-button-facebook: #305db8;

    --ff-title: Verdana-Bold;
    --ff-body: Verdana;
}

[data-theme="dark"] {
    --backdrop-filter: brightness(27%);
    --color-background: #4D4D4D;
    --color-background-hover: #daa520;
    --background-header: rgba(0, 0, 0, 0.9);
    --color-text-primary: #E6E6E6;
    --color-text-secondary: rgba(253, 252, 252, 0.82);
    --color-text-contrast: #D0D0D0;
    --color-text-input: #FFD2D2;
    --color-lines: #add8e6;
    --color-accent: #ffffff;
    --color-button-text: #ffffff;
    --color-button-google: #dbb2ab;
    --color-button-facebook: #b9caee;

    --ff-title: Courier-Bold;
    --ff-body: Courier;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 840px;
    margin: 0;
    padding: 0;
    background: url("../img/main-background.png") no-repeat center center;
    background-size: cover;
    align-items: center;
    backdrop-filter: var(--backdrop-filter);
}

a {
    color: var(--color-accent);
    text-decoration: none;
    cursor: pointer;
}

/* HEADER */
.header {
    display: flex;
    position: relative;
    top: 0;
    width: 100%;
    height: 54px;
    align-items: center;
    background: var(--background-header);
}

.logo-text {
    display: flex;
    position: relative;
    left: 81px;
    font: 20px var(--ff-title);
    color: var(--color-text-contrast);
    text-align: left;
}

.logo-text:hover {
    color: #3cb878;
}

.main-nav {
    display: flex;
    position: absolute;
    width: 390px;
    right: 80px;
    justify-content: space-evenly;
}

.sprite {
    display: flex;
    width: 20px;
    height: 20px;
    background: transparent url(../img/spritesheet.png) no-repeat;
}

.sprite-ic-calendar-white {
    background-position: -49px -10px;
}

.sprite-ic-calendar-white:hover {
    background-position: -10px -10px;
}

.sprite-ic-discussion-white {
    width: 30px;
    background-position: -90px -50px;
}

.sprite-ic-discussion-white:hover {
    background-position: -90px -10px;
}

.sprite-ic-compass-white {
    background-position: -50px -49px;
}

.sprite-ic-compass-white:hover {
    background-position: -10px -49px;
}

.vertical-line {
    display: flex;
    width: 1px;
    height: 19px;
    background: #777777;
}

.header-text {
    font: bold 14px var(--ff-body);
    color: var(--color-text-contrast);
}

.span-dark {
    color: #3cb878;
}

.header-text a:hover {
    text-decoration: underline;
}


/* FORM */
.form {
    display: flex;
    position: relative;
    margin: auto 0;
    width: 444px;
    height: 584px;
    border-radius: 10px;
    background: var(--color-background);
    flex-direction: column;
}

.form-top-line {
    display: flex;
    position: relative;
    top: 29px;
    align-items: center;
}

.green-box {
    float: left;
    width: 18px;
    height: 18px;
    background: var(--color-accent);
}

.form-title {
    display: flex;
    font: bold 20px Verdana;
    color: var(--color-text-secondary);
    margin-left: 42px;
    margin-right: 205px;
}

.form-login {
    display: flex;
    font: bold 14px var(--ff-body);
}

.form-top-line a:hover {
    text-decoration: underline;
}

.social-buttons {
    display: flex;
    position: relative;
    top: 43px;
    left: 62px;
    height: 46px;
    margin-bottom: 23px;
    color: var(--color-background);
}

.social-vertical-line {
    display: flex;
    margin-top: 8px;
    width: 1px;
    height: 28px;
    background: rgba(0, 0, 0, 0.10);
}

.fb-button {
    display: flex;
    width: 157px;
    height: 46px;
    background: var(--color-button-facebook);
    margin-right: 8px;
    border-radius: 3px;
}

.fb-button:hover {
    background-color: var(--color-background-hover);
}

.sprite-ic-facebook-white {
    background-position: -138px -10px;
}

.fb-button i {
    margin: 13px 0 13px 20px;
}

.btn-facebook-title {
    display: flex;
    align-items: center;
    margin-left: 18px;
    font: bold 16px var(--ff-body);
    color: var(--color-button-text);
}

.google-button {
    display: flex;
    width: 157px;
    height: 46px;
    border-radius: 3px;
    background: var(--color-button-google);
}

.google-button:hover {
    background-color: var(--color-background-hover);
}

.sprite-ic-google-white {
    width: 25px;
    height: 16px;
    background-position: -10px -90px;
}

.google-button i {
    margin: 15px 9px 15px 13px;
}

.btn-google-title {
    display: flex;
    align-items: center;
    margin-left: 18px;
    font: bold 16px var(--ff-body);
    color: var(--color-button-text);
}

.horizontal-line-section {
    display: flex;
    position: relative;
    top: 30px;
    height: 8px;
    align-items: center;
    justify-content: center;
    padding: 10px 0;
}

.horizontal-line {
    width: 135px;
    height: 1px;
    background: #eaeaea;
}

.or {
    font: bold 14px var(--ff-body);
    color: #848484;
    padding: 0 20px;
}

.input-fields {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    top: 20px;
    padding-top: 12px;
}

.input-fields input {
    display: flex;
    width: 322px;
    height: 46px;
    margin: 5px 0;
    text-indent: 19px;
    border-radius: 3px;
    border: 1px solid #cccccc;
    font: bold 14px var(--ff-body);
    color: rgba(190, 190, 190, 255);
}

.input-fields input:focus {
    outline: none;
    box-shadow: 2px 6px 5px 0 rgba(0, 0, 0, 0.75);
    transition: ease 0.4s;
    margin-bottom: 17px;
    color: rgba(67, 67, 67, 255);
}

input:focus::placeholder {
    color: transparent;
}

.checkbox-section {
    display: flex;
    position: relative;
    align-items: center;
    top: 26px;
    left: 65px;
}

input[type="checkbox"] {
    display: none;
}

.checkbox {
    display: flex;
    width: 20px;
    height: 20px;
    border: solid 1px #eaeaea;
    border-radius: 3px;
    vertical-align: middle;
    margin-top: 5px;
    margin-right: 10px;
}

input[type="checkbox"]:checked + .checkbox {
    content: url("../img/checkbox.png");
    width: 20px;
    height: 20px;
}

.checkbox-section span {
    font: bold 16px var(--ff-body);
}

.checkbox-section span a:hover {
    text-decoration: underline;
}

.checkbox-text-left {
    color: var(--color-text-primary);
}

.checkbox-text-right {
    text-transform: capitalize;
}

.checkbox-text-right-alt {
    color: #3cb878;
}
.btn-submit {
    display: flex;
    position: relative;
    top: 46px;
    left: 65px;
    width: 322px;
    height: 46px;
    align-items: center;
    justify-content: center;
    margin-bottom: 32px;
    border: none;
    border-radius: 5px;
    background: var(--color-accent);
    cursor: pointer;
}

.submit {
    display: flex;
    font: bold 16px var(--ff-body);
    color: var(--color-background);
}

.submit:hover {
    background: var(--color-accent);
}

.submit:active {
    outline: none;
}

.footer {
    height: 1px;
    margin-bottom: 68px;
}



/*----------------- DARK MODE ----------------*/

/*Dark/Light Mode Switch Button*/
.theme-switch-container {
    display: flex;
    position: absolute;
    right: 30px;
    align-items: center;
    justify-content: center;
}

.theme-switch {
    display: inline-block;
    height: 20px;
    position: relative;
    width: 46px;
}

.theme-switch input {
    display:none;
}

.slider {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: #ffffff;
    cursor: pointer;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    margin: auto 0;
    background: #ffffff url("../img/sun.png") no-repeat center;
    background-size: 16px;
    transition: .4s;
}

input:checked + .slider {
    background-color: #00008b;
}

input:checked + .slider:before {
    transform: translateX(24px);
    background: #00008b url("../img/moon.png") no-repeat center;
    background-size: 14px;
}

.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}